Name:           lxpanel
Version:        0.5.10
Release:        %mkrel 3
Summary:        Lightweight X11 desktop panel based on fbpanel
License:        GPLv2+
Group:          Graphical desktop/Other
URL:            http://www.lxde.org/

Source0:        http://dfn.dl.sourceforge.net/sourceforge/lxde/%name-%version.tar.gz
Patch2:         lxpanel-0.5.6-format-string.patch
Patch3:         lxpanel-0.5.9-mga-battery-monitor.patch
Patch4:         lxpanel-0.5.10-mga-use-autoconf-1.12.patch

BuildRequires:  gtk+2-devel
BuildRequires:  libalsa-devel
BuildRequires:  intltool
BuildRequires:  menu-cache-devel >= 0.2.1
BuildRequires:  docbook-to-man
BuildRequires:  gettext-devel
BuildRequires:  libiw-devel
BuildRequires:  automake
BuildRequires:  pkgconfig(libwnck-1.0)

Requires:       desktop-common-data
Suggests:       pcmanfm

%description
LXPanel is a lightweight X11 desktop panel contains:
1. User-friendly application menu automatically generated from *.desktop
   files on the system.
2. Launcher bar (Small icons clicked to launch apps)
3. Task bar supporting urgency hint (Can flash when gaim gets new
   incoming messages)
4. Notification area (System tray)
5. Digital clock
6. Run dialog (A dialog let you type a command and run, can be called in
   external programs)
7. Volume control plug-in (optional, written by jserv)
8. lxpanelctl, an external controller let you control lxpanel in other
   programs.

%package devel
Summary: Development files for lxpanel
Group: Graphical desktop/Other

%description devel
This package contains development files needed for building lxde plugins.

%prep
%setup -q -n %name-%version
%apply_patches

%build
./autogen.sh
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%{find_lang} %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/%{name}
%{_bindir}/lxpanelctl
%dir %{_libdir}/%name
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/batt.so
%{_libdir}/%{name}/plugins/cpu.so
%{_libdir}/%{name}/plugins/cpufreq.so
%{_libdir}/%{name}/plugins/deskno.so
%{_libdir}/%{name}/plugins/kbled.so
%{_libdir}/%{name}/plugins/monitors.so
%{_libdir}/%{name}/plugins/netstat.so
%{_libdir}/%{name}/plugins/netstatus.so
%{_libdir}/%{name}/plugins/thermal.so
%{_libdir}/%{name}/plugins/volumealsa.so
%{_libdir}/%{name}/plugins/wnckpager.so
%{_libdir}/%{name}/plugins/xkb.so
%{_datadir}/%name
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%{_includedir}/lxpanel
%{_libdir}/pkgconfig/lxpanel.pc


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.5.10-3.mga3
+ Revision: 359180
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 cjw <cjw> 0.5.10-2.mga3
+ Revision: 344346
- add automake 1.13 in patch4

* Sat Aug 25 2012 obgr_seneca <obgr_seneca> 0.5.10-1.mga3
+ Revision: 283904
- Fix building with automake-1.12
- New version

* Mon May 28 2012 obgr_seneca <obgr_seneca> 0.5.9-1.mga3
+ Revision: 248377
- added missing BR for wnck-devel
- new version 0.5.9
- removed old patches
- rediffed battery monitor patch
- removed customization patch, it's done with lxde-common package

* Wed May 16 2012 obgr_seneca <obgr_seneca> 0.5.8-7.mga2
+ Revision: 235787
- added volume control to lxpanel (bug #5935)

* Thu Apr 26 2012 obgr_seneca <obgr_seneca> 0.5.8-6.mga2
+ Revision: 233343
- added missing BR for gettext-devel
- fixed translation syntax for clock help mga bug #5545
- fixing a random high cpu usage in lxpanel
- bug reported at several distros, Mga Bug #2203
- removed Require for libnotify
- it's already required by lxde-common
- little changes to battery monitor patch

* Fri Nov 25 2011 obgr_seneca <obgr_seneca> 0.5.8-4.mga2
+ Revision: 171910
- use libnotify for low battery warning

* Wed Nov 23 2011 obgr_seneca <obgr_seneca> 0.5.8-3.mga2
+ Revision: 171339
-added patch for the battery monitor

* Thu Nov 17 2011 obgr_seneca <obgr_seneca> 0.5.8-2.mga2
+ Revision: 168619
- little changes in customization patch

  + fwang <fwang>
    - new version 0.5.8

* Mon Jul 11 2011 ahmad <ahmad> 0.5.6-3.mga2
+ Revision: 122063
- Build all the panel plugins (mga#1735)

* Sat Feb 05 2011 ahmad <ahmad> 0.5.6-2.mga1
+ Revision: 47034
- drop patch2, not needed any more
- add patch1 from upstream to fix build
- we now use @prefix@/share/icons/mageia.png
- imported package lxpanel

